
Redmine - Patch #40148

Update activerecord-sqlserver-adapter to 7.1

2024-01-30 04:13 - Yuichi HARADA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Description

Failed `bundle update`.

% bundle update

Fetching gem metadata from https://rubygems.org/.........

Resolving dependencies...

Could not find compatible versions

Because rails >= 7.1.3 depends on activerecord = 7.1.3

  and activerecord-sqlserver-adapter >= 6.1.0.0.rc1, < 7.0.0.0.rc1 depends on activerecord ~> 6.1.

0,

  rails >= 7.1.3 is incompatible with activerecord-sqlserver-adapter >= 6.1.0.0.rc1, < 7.0.0.0.rc1

.

So, because Gemfile depends on rails = 7.1.3

  and Gemfile depends on activerecord-sqlserver-adapter ~> 6.1.0,

  version solving has failed.

%

 The patch below resolves this issue.

diff --git a/Gemfile b/Gemfile

index 1479fa42a9..01a530d4fb 100644

--- a/Gemfile

+++ b/Gemfile

@@ -75,7 +75,7 @@ if File.exist?(database_file)

         gem 'sqlite3', '~> 1.7.0'

       when /sqlserver/

         gem 'tiny_tds', '~> 2.1.2'

-        gem 'activerecord-sqlserver-adapter', '~> 6.1.0'

+        gem 'activerecord-sqlserver-adapter', '~> 7.1.2'

       else

         warn("Unknown database adapter `#{adapter}` found in config/database.yml, use Gemfile.loc

al to load your own database gems")

       end

 https://rubygems.org/gems/activerecord-sqlserver-adapter

Related issues:

Related to Redmine - Feature #36320: Migrate to Rails 7.2 Closed

Associated revisions

Revision 22665 - 2024-01-30 04:35 - Go MAEDA

Update activerecord-sqlserver-adapter to 7.1 (#40148, #36320).

Patch by Yuichi HARADA (@yui.har).

History

#1 - 2024-01-30 04:33 - Go MAEDA

- Related to Feature #36320: Migrate to Rails 7.2 added

#2 - 2024-01-30 04:35 - Go MAEDA
https://rubygems.org/gems/activerecord-sqlserver-adapter


- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 6.0.0

Committed the fix in r22665. Thank you.

#3 - 2024-01-30 12:51 - Marius BĂLTEANU

- Target version deleted (6.0.0)

Thanks!

I think this ticket should not be part of the changelog.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/22665
http://www.tcpdf.org

